function GameScreen:RestoreScene()
    if(GetState(CURRENT_SCREEN, "current_chapter") == "" or GetState(CURRENT_SCREEN, "current_chapter") == "1") then
        self:CreateObj(OBJ_TYPE.NO_ACTIVE, "chapter_title", "graphics/interface/chapters/chapter_01", 457, 223)
        self.next_level = "001_ward"
    elseif(GetState(CURRENT_SCREEN, "current_chapter") == "2") then
        self:CreateObj(OBJ_TYPE.NO_ACTIVE, "chapter_title", "graphics/interface/chapters/chapter_02", 430, 223)
        self.next_level = "006_basement"
    elseif(GetState(CURRENT_SCREEN, "current_chapter") == "3") then
        self:CreateObj(OBJ_TYPE.NO_ACTIVE, "chapter_title", "graphics/interface/chapters/chapter_03", 407, 223)
        self.next_level = "010_museum"
    elseif(GetState(CURRENT_SCREEN, "current_chapter") == "4") then
        self:CreateObj(OBJ_TYPE.NO_ACTIVE, "chapter_title", "graphics/interface/chapters/chapter_04", 461, 223)
        self.next_level = "014_upside"
    elseif(GetState(CURRENT_SCREEN, "current_chapter") == "5") then
        self:CreateObj(OBJ_TYPE.NO_ACTIVE, "chapter_title", "graphics/interface/chapters/chapter_05", 595, 223)
        self.next_level = "019_attic"
    elseif(GetState(CURRENT_SCREEN, "current_chapter") == "6") then
        self:CreateObj(OBJ_TYPE.NO_ACTIVE, "chapter_title", "graphics/interface/chapters/chapter_06", 595, 223)
        self.next_level = "Intro_06"
    end
end

function GameScreen:InitScreen()
    self:LoadScreen()
    
    self.disable = false;
    
    self:RestoreScene();
    
    ItemSetOpacity("chapter_title", 0.0)
    ItemChangeOpacity("chapter_title", 1.0, 0.5)
    ItemChangeOpacity("chapter_title", 0.0, 0.5, 2.5)
    DelayedExec(3.0, function()
        clApplication:LoadLocation(self.next_level)
    end)
end

function GameScreen:OnClick(item_name)
    if(self.disable) then return end
end



function GameScreen:LoadScreen()
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "quit_back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
    
end
